//
// Este arquivo foi gerado pela Arquitetura JavaTM para Implementação de Referência (JAXB) de Bind XML, v2.2.8-b130911.1802 
// Consulte <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Todas as modificações neste arquivo serão perdidas após a recompilação do esquema de origem. 
// Gerado em: 2017.08.14 às 03:08:29 PM BRT 
//


package br.inf.portalfiscal.bpe;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the br.inf.portalfiscal.bpe package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _RetBPe_QNAME = new QName("http://www.portalfiscal.inf.br/bpe", "retBPe");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: br.inf.portalfiscal.bpe
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TImp }
     * 
     */
    public TImp createTImp() {
        return new TImp();
    }

    /**
     * Create an instance of {@link TProtBPe }
     * 
     */
    public TProtBPe createTProtBPe() {
        return new TProtBPe();
    }

    /**
     * Create an instance of {@link TBPe }
     * 
     */
    public TBPe createTBPe() {
        return new TBPe();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe }
     * 
     */
    public TBPe.InfBPe createTBPeInfBPe() {
        return new TBPe.InfBPe();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.Pag }
     * 
     */
    public TBPe.InfBPe.Pag createTBPeInfBPePag() {
        return new TBPe.InfBPe.Pag();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.Imp }
     * 
     */
    public TBPe.InfBPe.Imp createTBPeInfBPeImp() {
        return new TBPe.InfBPe.Imp();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.InfValorBPe }
     * 
     */
    public TBPe.InfBPe.InfValorBPe createTBPeInfBPeInfValorBPe() {
        return new TBPe.InfBPe.InfValorBPe();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.InfViagem }
     * 
     */
    public TBPe.InfBPe.InfViagem createTBPeInfBPeInfViagem() {
        return new TBPe.InfBPe.InfViagem();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.InfPassagem }
     * 
     */
    public TBPe.InfBPe.InfPassagem createTBPeInfBPeInfPassagem() {
        return new TBPe.InfBPe.InfPassagem();
    }

    /**
     * Create an instance of {@link TRetBPe }
     * 
     */
    public TRetBPe createTRetBPe() {
        return new TRetBPe();
    }

    /**
     * Create an instance of {@link TEnviBPe }
     * 
     */
    public TEnviBPe createTEnviBPe() {
        return new TEnviBPe();
    }

    /**
     * Create an instance of {@link TEndereco }
     * 
     */
    public TEndereco createTEndereco() {
        return new TEndereco();
    }

    /**
     * Create an instance of {@link TEndeEmi }
     * 
     */
    public TEndeEmi createTEndeEmi() {
        return new TEndeEmi();
    }

    /**
     * Create an instance of {@link TImp.ICMS00 }
     * 
     */
    public TImp.ICMS00 createTImpICMS00() {
        return new TImp.ICMS00();
    }

    /**
     * Create an instance of {@link TImp.ICMS20 }
     * 
     */
    public TImp.ICMS20 createTImpICMS20() {
        return new TImp.ICMS20();
    }

    /**
     * Create an instance of {@link TImp.ICMS45 }
     * 
     */
    public TImp.ICMS45 createTImpICMS45() {
        return new TImp.ICMS45();
    }

    /**
     * Create an instance of {@link TImp.ICMS90 }
     * 
     */
    public TImp.ICMS90 createTImpICMS90() {
        return new TImp.ICMS90();
    }

    /**
     * Create an instance of {@link TImp.ICMSOutraUF }
     * 
     */
    public TImp.ICMSOutraUF createTImpICMSOutraUF() {
        return new TImp.ICMSOutraUF();
    }

    /**
     * Create an instance of {@link TImp.ICMSSN }
     * 
     */
    public TImp.ICMSSN createTImpICMSSN() {
        return new TImp.ICMSSN();
    }

    /**
     * Create an instance of {@link TProtBPe.InfProt }
     * 
     */
    public TProtBPe.InfProt createTProtBPeInfProt() {
        return new TProtBPe.InfProt();
    }

    /**
     * Create an instance of {@link TBPe.InfBPeSupl }
     * 
     */
    public TBPe.InfBPeSupl createTBPeInfBPeSupl() {
        return new TBPe.InfBPeSupl();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.Ide }
     * 
     */
    public TBPe.InfBPe.Ide createTBPeInfBPeIde() {
        return new TBPe.InfBPe.Ide();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.Emit }
     * 
     */
    public TBPe.InfBPe.Emit createTBPeInfBPeEmit() {
        return new TBPe.InfBPe.Emit();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.Comp }
     * 
     */
    public TBPe.InfBPe.Comp createTBPeInfBPeComp() {
        return new TBPe.InfBPe.Comp();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.Agencia }
     * 
     */
    public TBPe.InfBPe.Agencia createTBPeInfBPeAgencia() {
        return new TBPe.InfBPe.Agencia();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.InfBPeSub }
     * 
     */
    public TBPe.InfBPe.InfBPeSub createTBPeInfBPeInfBPeSub() {
        return new TBPe.InfBPe.InfBPeSub();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.AutXML }
     * 
     */
    public TBPe.InfBPe.AutXML createTBPeInfBPeAutXML() {
        return new TBPe.InfBPe.AutXML();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.InfAdic }
     * 
     */
    public TBPe.InfBPe.InfAdic createTBPeInfBPeInfAdic() {
        return new TBPe.InfBPe.InfAdic();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.Pag.Card }
     * 
     */
    public TBPe.InfBPe.Pag.Card createTBPeInfBPePagCard() {
        return new TBPe.InfBPe.Pag.Card();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.Imp.ICMSUFFim }
     * 
     */
    public TBPe.InfBPe.Imp.ICMSUFFim createTBPeInfBPeImpICMSUFFim() {
        return new TBPe.InfBPe.Imp.ICMSUFFim();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.InfValorBPe.Comp }
     * 
     */
    public TBPe.InfBPe.InfValorBPe.Comp createTBPeInfBPeInfValorBPeComp() {
        return new TBPe.InfBPe.InfValorBPe.Comp();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.InfViagem.InfTravessia }
     * 
     */
    public TBPe.InfBPe.InfViagem.InfTravessia createTBPeInfBPeInfViagemInfTravessia() {
        return new TBPe.InfBPe.InfViagem.InfTravessia();
    }

    /**
     * Create an instance of {@link TBPe.InfBPe.InfPassagem.InfPassageiro }
     * 
     */
    public TBPe.InfBPe.InfPassagem.InfPassageiro createTBPeInfBPeInfPassagemInfPassageiro() {
        return new TBPe.InfBPe.InfPassagem.InfPassageiro();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TRetBPe }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.portalfiscal.inf.br/bpe", name = "retBPe")
    public JAXBElement<TRetBPe> createRetBPe(TRetBPe value) {
        return new JAXBElement<TRetBPe>(_RetBPe_QNAME, TRetBPe.class, null, value);
    }

}
